Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

RSSOwl Can't Create a Browser

Help
2011-03-28
2013-07-09
1 2 3 4 > >> (Page 1 of 4)
  • Lane Lester
    Lane Lester
    2011-03-28

    I have RSSOwl running fine on Ubuntu, but on a Debian install, when I click on
    a feed to read it, I get this message:

    RSSOwl was unable to create a browser for reading news. Please refer to the
    FAQ for further help.

    The only thing I saw in the FAQ that looked relevant was about a firewall, and
    I have not set one up.

    Someone else running the same Debian distro is not having this problem.

    Lane

     
  • Lane Lester
    Lane Lester
    2011-03-31

    The problem has gotten worse, and I guess it'll be back to Google Reader for
    me. I have several Linux installs on my system, and I've now discovered that,
    although RSSOwl works in Ubuntu Maverick, it fails in Ubuntu Natty and Debian.
    The errors are the same, as noted above, and no error messages are produced at
    the terminal.

    Lane

     
  • genodeftest
    genodeftest
    2011-03-31

    Did you install RSSOwl on Debian from package or from source? Do you have
    xulrunner 1.9.x or 2.0 installed?

    RSSOwl (version 2.0.6) fails in Natty because yet it isn't updated to
    xulrunner 2.0 (see https://sourceforge.net/projects/rssowl/forums/forum/29691
    0/topic/4423741
    , with workaround), but Natty ships with xulrunner 2.0.

    the programmer needs some time to fix this, I hope it will be fixed for next
    version of RSSOwl.

     
  • Lane Lester
    Lane Lester
    2011-03-31

    Thanks! I installed it with the terminal command on your site. And no, I
    didn't have xulrunner installed. I knew about the need for java, but I missed
    the need for that one. Installing it in the Debian system took care of the
    problem.

    And I'll look forward to being able to use it in Ubuntu Natty as well.

    Lane

     
  • Oliver
    Oliver
    2011-05-02

    I figured out how to enable xulrunner 1.9.2 in ubuntu natty, so that RSSowl
    works.

    The added line in the config.ini has to be

    -Dorg.eclipse.swt.browser.XULRunnerPath=/usr/lib/xulrunner-1.9.2
    

    full instructions:

    • install xulrunner1.9.2 from the natty repository
    • add this line to /usr/share/rssowl/configuration/config.ini (after )

      -Dorg.eclipse.swt.browser.XULRunnerPath=/usr/lib/xulrunner-1.9.2

     
  • The current beta of RSSOwl 2.1 on Linux bundles a XULRunner runtime that works
    fine. Beginning with 2.1, this issue will be solved without user interaction
    necessary.

     
  • genodeftest
    genodeftest
    2011-06-13

    Thanks!

     
  • genodeftest
    genodeftest
    2011-06-13

    Sorry, that didn't fix the issue.

    The beta (from 13.06.2011) stopped starting up with error "could not create
    browser"...

    I have xulrunner 1.9.2 installed, but no other SWT or Eclipse RCP version.

    I am running Ubuntu x64 11.04 on Gnome3 with Kernel 2.6.38.

    This is what RSSOwl logged to .rssowl2/.metadata/.log :

    > !SESSION 2011-06-14 00:47:35.094

    eclipse.buildId=unknown

    java.version=1.6.0_22

    java.vendor=Sun Microsystems Inc.

    BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=de_DE

    Command-line arguments: -os linux -ws gtk -arch x86_64

    !ENTRY org.rssowl.ui 1 0 2011-06-14 00:47:35.835

    !MESSAGE RSSOwl Starting Up (RSSOwl/2.1.0.201106131914 (X11; U; en))

    !ENTRY org.eclipse.osgi 4 0 2011-06-14 00:47:41.891

    !MESSAGE Application error

    !STACK 1

    org.eclipse.swt.SWTError: XPCOM error -2147467259

    at org.eclipse.swt.browser.Mozilla.error(Mozilla.java:2502)

    at org.eclipse.swt.browser.Mozilla.initXULRunner(Mozilla.java:2464)

    at org.eclipse.swt.browser.Mozilla.create(Mozilla.java:672)

    at org.eclipse.swt.browser.Browser.<init>(Browser.java:96)

    at org.rssowl.ui.internal.util.CBrowser.createBrowser(CBrowser.java:222)

    at org.rssowl.ui.internal.util.CBrowser.<init>(CBrowser.java:152)

    at org.rssowl.ui.internal.editors.feed.NewsBrowserViewer.<init>(NewsBrowserVie
    wer.java:341)

    at org.rssowl.ui.internal.editors.feed.NewsBrowserControl$1.<init>(NewsBrowser
    Control.java:145)

    at org.rssowl.ui.internal.editors.feed.NewsBrowserControl.createPart(NewsBrows
    erControl.java:145)

    at org.rssowl.ui.internal.editors.feed.FeedView.createPartControl(FeedView.jav
    a:2143)

    at org.eclipse.ui.internal.EditorReference.createPartHelper(EditorReference.ja
    va:661)

    at
    org.eclipse.ui.internal.EditorReference.createPart(EditorReference.java:428)

    at org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReferen
    ce.java:594)

    at org.eclipse.ui.internal.PartPane.setVisible(PartPane.java:306)

    at org.eclipse.ui.internal.presentations.PresentablePart.setVisible(Presentabl
    ePart.java:180)

    at org.eclipse.ui.internal.presentations.util.PresentablePartFolder.select(Pre
    sentablePartFolder.java:270)

    at org.eclipse.ui.internal.presentations.util.LeftToRightTabOrder.select(LeftT
    oRightTabOrder.java:65)

    at org.eclipse.ui.internal.presentations.util.TabbedStackPresentation.selectPa
    rt(TabbedStackPresentation.java:473)

    at org.eclipse.ui.internal.PartStack.refreshPresentationSelection(PartStack.ja
    va:1256)

    at org.eclipse.ui.internal.PartStack.handleDeferredEvents(PartStack.java:1224)

    at org.eclipse.ui.internal.LayoutPart.deferUpdates(LayoutPart.java:400)

    at org.eclipse.ui.internal.PartSashContainer.handleDeferredEvents(PartSashCont
    ainer.java:1401)

    at org.eclipse.ui.internal.LayoutPart.deferUpdates(LayoutPart.java:400)

    at org.eclipse.ui.internal.WorkbenchPage.handleDeferredEvents(WorkbenchPage.ja
    va:1383)

    at org.eclipse.ui.internal.WorkbenchPage.deferUpdates(WorkbenchPage.java:1373)

    at org.eclipse.ui.internal.WorkbenchPage.access$14(WorkbenchPage.java:1364)

    at org.eclipse.ui.internal.WorkbenchPage$15.runWithException(WorkbenchPage.jav
    a:3261)

    at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreadi
    ng.java:31)

    at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)

    at
    org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:135)

    at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3563)

    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3212)

    at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.ja
    va:803)

    at org.eclipse.ui.internal.Workbench$27.runWithException(Workbench.java:1363)

    at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreadi
    ng.java:31)

    at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)

    at
    org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:135)

    at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3563)

    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3212)

    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2295)

    at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2200)

    at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:495)

    at
    org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:288)

    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:490)

    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)

    at org.rssowl.ui.internal.Application.start(Application.java:122)

    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java
    :193)

    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication
    (EclipseAppLauncher.java:110)

    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseA
    ppLauncher.java:79)

    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)

    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at
    sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImp
    l.java:43)

    at java.lang.reflect.Method.invoke(Method.java:616)

    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)

    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)

    at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

    at org.eclipse.equinox.launcher.Main.main(Main.java:1386)

    !ENTRY org.eclipse.osgi 2 0 2011-06-14 00:47:41.902

    !MESSAGE The following is a complete list of bundles which are not resolved,
    see the prior log entry for the root cause if it exists:

    !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-14 00:47:41.902

    !MESSAGE Bundle update@plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1
    .1.100.v20110505/ was not resolved.

    !SUBENTRY 2 org.eclipse.equinox.launcher.gtk.linux.x86_64 2 0 2011-06-14
    00:47:41.902

    !MESSAGE Missing host org.eclipse.equinox.launcher_[1.0.0,1.3.0).

    !SUBENTRY 1 org.eclipse.osgi 2 0 2011-06-14 00:47:41.902

    !MESSAGE Bundle
    update@plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar was not
    resolved.

    !SUBENTRY 2 org.eclipse.equinox.launcher 2 0 2011-06-14 00:47:41.902

    !MESSAGE Missing Constraint: Bundle-RequiredExecutionEnvironment:
    OSGi/Minimum-1.2

    !ENTRY org.rssowl.core 1 0 2011-06-14 00:47:41.918

    !MESSAGE RSSOwl Shutting Down (normal)

    Current nightly ( rssowl-2.1.0.201106120216-linux.gtk.x86_64 ) works without
    problems.

     
  • genodeftest
    genodeftest
    2011-06-13

    Another thing: updating the nightly from 201106120216 to 201106131906 does
    work without problems but loggs that it can not find a bundle:

    > !SESSION 2011-06-14 01:08:11.778

    eclipse.buildId=unknown

    java.version=1.6.0_22

    java.vendor=Sun Microsystems Inc.

    BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=de_DE

    Command-line arguments: -os linux -ws gtk -arch x86_64

    !ENTRY org.rssowl.ui 1 0 2011-06-14 01:08:12.635

    !MESSAGE RSSOwl Starting Up (RSSOwl/2.1.0.201106131906 (X11; U; en))

    !ENTRY org.eclipse.update.configurator 4 0 2011-06-14 01:08:42.371

    !MESSAGE Can't find bundle for base name feature, locale de_DE

     
  • So, there is a difference between nightlies and the beta. The nightlies are
    not bundling the XULRunner runtime. Also, the nightlies are still using SWT
    3.5.2, I have to update the engine to use 3.7. Please dont use nightlies from
    now on.

    Can you do 2 things please using the official beta, not the nightly (to test
    XULRunner bundling)

    • startup once with -clean as parameter, this should fix the log messages after the XPCOM crash
    • then in RSSOwl go to Help > About > Configuration Details and find the system property entry named "org.eclipse.swt.browser.XULRunnerPath". Is it showing up at all and is the value of the property pointing to the bundled XULRunner runtime?
     
  • genodeftest
    genodeftest
    2011-06-14

    Didn't change anything.

    When starting with parameter -clean, RSSOwl shows (2 times) that it could not
    create a browser, then it shows a Dialog that errors occurred and details are
    saved and then RSSOwl exits.

    The .log file shows the same entry as before.

    RSSOwl does not even start, so I can not do step 2. Does RSSOwl save this
    information to a file?

    Trying to set XulRunner path manually (by adding
    org.eclipse.swt.browser.XULRunnerPath=/usr/bin/xulrunner-1.9.2 to config.ini)
    gives the same error messages and does not start.

     
  • Ok what about this:

    • download beta fresh
    • put a # in front of the entries "osgi.instance.area.default" and "osgi.configuration.area" in the config.ini (configuratoin folder)
    • start RSSOwl

    This will simulate a fresh startup as it will put all directories relative to
    the program directory. Then you should be able to provide the info I asked
    for. Also, if you could look at the log file (you can export from Help menu)
    if it shows suspicious entries after opening a feed (which will trigger
    browser creation).

     
  • genodeftest
    genodeftest
    2011-06-14

    Ok, this allows me to start RSSOwl. This is the info, but it does not contain
    anything about XULRunner:

    *** Date: Dienstag, 14. Juni 2011 16:27 Uhr MESZ

    *** Platform Details:

    *** System properties:

    eclipse.commands=-os

    linux

    -ws
    gtk

    -arch
    x86_64

    -showsplash
    -launcher
    /opt/rssowl/RSSOwl

    -name
    RSSOwl

    --launcher.library

    /opt/rssowl/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.100.v201
    10505/eclipse_1407.so

    -startup
    /opt/rssowl/plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar

    --launcher.overrideVmargs

    -exitdata
    ca8004

    -vm
    /usr/bin/java

    eclipse.ee.install.verify=false

    eclipse.home.location=file:/opt/rssowl/

    eclipse.launcher=/opt/rssowl/RSSOwl

    eclipse.launcher.name=RSSOwl

    eclipse.product=org.rssowl.ui.product

    eclipse.startTime=1308061605077

    eclipse.vm=/usr/bin/java

    eclipse.vmargs=-Xms15m

    -Xmx192m
    -Dosgi.requiredJavaVersion=1.5
    -jar
    /opt/rssowl/plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar

    eof=eof

    file.encoding=UTF-8

    file.encoding.pkg=sun.io

    file.separator=/

    java.awt.graphicsenv=sun.awt.X11GraphicsEnvironment

    java.awt.printerjob=sun.print.PSPrinterJob

    java.class.path=/opt/rssowl/plugins/org.eclipse.equinox.launcher_1.2.0.v201105
    02.jar

    java.class.version=50.0

    java.endorsed.dirs=/usr/lib/jvm/java-6-openjdk/jre/lib/endorsed

    java.ext.dirs=/usr/lib/jvm/java-6-openjdk/jre/lib/ext:/usr/java/packages/lib/e
    xt

    java.home=/usr/lib/jvm/java-6-openjdk/jre

    java.io.tmpdir=/tmp

    java.library.path=/usr/lib/jvm/java-6-openjdk/jre/lib/amd64/server:/usr/lib/jv
    m/java-6-openjdk/jre/lib/amd64:/usr/lib/jvm/java-6-openjdk/jre/../lib/amd64:/u
    sr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-
    gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib

    java.runtime.name=OpenJDK Runtime Environment

    java.runtime.version=1.6.0_22-b22

    java.specification.name=Java Platform API Specification

    java.specification.vendor=Sun Microsystems Inc.

    java.specification.version=1.6

    java.vendor=Sun Microsystems Inc.

    java.vendor.url=http://java.sun.com/

    java.vendor.url.bug=http://java.sun.com/cgi-
    bin/bugreport.cgi

    java.version=1.6.0_22

    java.vm.info=mixed mode

    java.vm.name=OpenJDK 64-Bit Server VM

    java.vm.specification.name=Java Virtual Machine Specification

    java.vm.specification.vendor=Sun Microsystems Inc.

    java.vm.specification.version=1.0

    java.vm.vendor=Sun Microsystems Inc.

    java.vm.version=20.0-b11

    line.separator=

    org.apache.commons.logging.Log=org.rssowl.core.internal.LogBridge

    org.eclipse.equinox.launcher.splash.location=/opt/rssowl/configuration/org.ecl
    ipse.equinox.launcher/org.rssowl.ui_2.1.0.201106131914/splash.bmp

    org.osgi.framework.executionenvironment=OSGi/Minimum-1.0,OSGi/Minimum-1.1,JRE-
    1.1,J2SE-1.2,J2SE-1.3,J2SE-1.4,J2SE-1.5,JavaSE-1.6

    org.osgi.framework.language=de

    org.osgi.framework.os.name=Linux

    org.osgi.framework.os.version=2.6.38

    org.osgi.framework.processor=x86-64

    org.osgi.framework.system.packages=javax.accessibility,javax.activation,javax.
    activity,javax.annotation,javax.annotation.processing,javax.crypto,javax.crypt
    o.interfaces,javax.crypto.spec,javax.imageio,javax.imageio.event,javax.imageio
    .metadata,javax.imageio.plugins.bmp,javax.imageio.plugins.jpeg,javax.imageio.s
    pi,javax.imageio.stream,javax.jws,javax.jws.soap,javax.lang.model,javax.lang.m
    odel.element,javax.lang.model.type,javax.lang.model.util,javax.management,java
    x.management.loading,javax.management.modelmbean,javax.management.monitor,java
    x.management.openmbean,javax.management.relation,javax.management.remote,javax
    .management.remote.rmi,javax.management.timer,javax.naming,javax.naming.direct
    ory,javax.naming.event,javax.naming.ldap,javax.naming.spi,javax.net,javax.net.
    ssl,javax.print,javax.print.attribute,javax.print.attribute.standard,javax.pri
    nt.event,javax.rmi,javax.rmi.CORBA,javax.rmi.ssl,javax.script,javax.security.a
    uth,javax.security.auth.callback,javax.security.auth.kerberos,javax.security.a
    uth.login,javax.security.auth.spi,javax.security.auth.x500,javax.security.cert
    ,javax.security.sasl,javax.sound.midi,javax.sound.midi.spi,javax.sound.sampled
    ,javax.sound.sampled.spi,javax.sql,javax.sql.rowset,javax.sql.rowset.serial,ja
    vax.sql.rowset.spi,javax.swing,javax.swing.border,javax.swing.colorchooser,jav
    ax.swing.event,javax.swing.filechooser,javax.swing.plaf,javax.swing.plaf.basic
    ,javax.swing.plaf.metal,javax.swing.plaf.multi,javax.swing.plaf.synth,javax.sw
    ing.table,javax.swing.text,javax.swing.text.html,javax.swing.text.html.parser,
    javax.swing.text.rtf,javax.swing.tree,javax.swing.undo,javax.tools,javax.trans
    action,javax.transaction.xa,javax.xml,javax.xml.bind,javax.xml.bind.annotation
    ,javax.xml.bind.annotation.adapters,javax.xml.bind.attachment,javax.xml.bind.h
    elpers,javax.xml.bind.util,javax.xml.crypto,javax.xml.crypto.dom,javax.xml.cry
    pto.dsig,javax.xml.crypto.dsig.dom,javax.xml.crypto.dsig.keyinfo,javax.xml.cry
    pto.dsig.spec,javax.xml.datatype,javax.xml.namespace,javax.xml.parsers,javax.x
    ml.soap,javax.xml.stream,javax.xml.stream.events,javax.xml.stream.util,javax.x
    ml.transform,javax.xml.transform.dom,javax.xml.transform.sax,javax.xml.transfo
    rm.stax,javax.xml.transform.stream,javax.xml.validation,javax.xml.ws,javax.xml
    .ws.handler,javax.xml.ws.handler.soap,javax.xml.ws.http,javax.xml.ws.soap,java
    x.xml.ws.spi,javax.xml.xpath,org.ietf.jgss,org.omg.CORBA,org.omg.CORBA_2_3,org
    .omg.CORBA_2_3.portable,org.omg.CORBA.DynAnyPackage,org.omg.CORBA.ORBPackage,o
    rg.omg.CORBA.portable,org.omg.CORBA.TypeCodePackage,org.omg.CosNaming,org.omg.
    CosNaming.NamingContextExtPackage,org.omg.CosNaming.NamingContextPackage,org.o
    mg.Dynamic,org.omg.DynamicAny,org.omg.DynamicAny.DynAnyFactoryPackage,org.omg.
    DynamicAny.DynAnyPackage,org.omg.IOP,org.omg.IOP.CodecFactoryPackage,org.omg.I
    OP.CodecPackage,org.omg.Messaging,org.omg.PortableInterceptor,org.omg.Portable
    Interceptor.ORBInitInfoPackage,org.omg.PortableServer,org.omg.PortableServer.C
    urrentPackage,org.omg.PortableServer.POAManagerPackage,org.omg.PortableServer.
    POAPackage,org.omg.PortableServer.portable,org.omg.PortableServer.ServantLocat
    orPackage,org.omg.SendingContext,org.omg.stub.java.rmi,org.w3c.dom,org.w3c.dom
    .bootstrap,org.w3c.dom.css,org.w3c.dom.events,org.w3c.dom.html,org.w3c.dom.ls,
    org.w3c.dom.ranges,org.w3c.dom.stylesheets,org.w3c.dom.traversal,org.w3c.dom.v
    iews ,org.xml.sax,org.xml.sax.ext,org.xml.sax.helpers

    org.osgi.framework.vendor=Eclipse

    org.osgi.framework.version=1.4.0

    org.osgi.supports.framework.extension=true

    org.osgi.supports.framework.fragment=true

    org.osgi.supports.framework.requirebundle=true

    os.arch=amd64

    os.name=Linux

    os.version=2.6.38-10-generic

    osgi.arch=x86_64

    osgi.bundles=org.eclipse.equinox.common@2:start,org.eclipse.update.configurato
    r@3:start,org.eclipse.core.runtime@start

    osgi.bundles.defaultStartLevel=4

    osgi.bundlestore=/opt/rssowl/configuration/org.eclipse.osgi/bundles

    osgi.compatibility.bootdelegation=true

    osgi.configuration.area=file:/opt/rssowl/configuration/

    osgi.framework=file:/opt/rssowl/plugins/org.eclipse.osgi_3.4.3.R34x_v20081215-
    1030.jar

    osgi.framework.beginningstartlevel=1

    osgi.framework.shape=jar

    osgi.framework.version=3.4.3.R34x_v20081215-1030

    osgi.install.area=file:/opt/rssowl/

    osgi.instance.area=file:/opt/rssowl/workspace/

    osgi.logfile=/opt/rssowl/workspace/.metadata/.log

    osgi.manifest.cache=/opt/rssowl/configuration/org.eclipse.osgi/manifests

    osgi.nl=de_DE

    osgi.os=linux

    osgi.requiredJavaVersion=1.5

    osgi.splashLocation=/opt/rssowl/configuration/org.eclipse.equinox.launcher/org
    .rssowl.ui_2.1.0.201106131914/splash.bmp

    osgi.splashPath=platform:/base/plugins/org.rssowl.ui

    osgi.syspath=/opt/rssowl/plugins

    osgi.ws=gtk

    path.separator=:

    rssowl.buildId=2.1 Beta

    sun.arch.data.model=64

    sun.boot.class.path=/usr/lib/jvm/java-6-openjdk/jre/lib/resources.jar:/usr/lib
    /jvm/java-6-openjdk/jre/lib/rt.jar:/usr/lib/jvm/java-6-openjdk/jre/lib/sunrsas
    ign.jar:/usr/lib/jvm/java-6-openjdk/jre/lib/jsse.jar:/usr/lib/jvm/java-6-openj
    dk/jre/lib/jce.jar:/usr/lib/jvm/java-6-openjdk/jre/lib/charsets.jar:/usr/lib/j
    vm/java-6-openjdk/jre/lib/netx.jar:/usr/lib/jvm/java-6-openjdk/jre/lib/plugin.
    jar:/usr/lib/jvm/java-6-openjdk/jre/lib/rhino.jar:/usr/lib/jvm/java-6-openjdk/
    jre/lib/modules/jdk.boot.jar:/usr/lib/jvm/java-6-openjdk/jre/classes

    sun.boot.library.path=/usr/lib/jvm/java-6-openjdk/jre/lib/amd64

    sun.cpu.endian=little

    sun.cpu.isalist=

    sun.desktop=gnome

    sun.io.unicode.encoding=UnicodeLittle

    sun.java.command=/opt/rssowl/plugins/org.eclipse.equinox.launcher_1.2.0.v20110
    502.jar -os linux -ws gtk -arch x86_64 -showsplash -launcher
    /opt/rssowl/RSSOwl -name RSSOwl --launcher.library /opt/rssowl/plugins/org.ecl
    ipse.equinox.launcher.gtk.linux.x86_64_1.1.100.v20110505/eclipse_1407.so
    -startup /opt/rssowl/plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
    --launcher.overrideVmargs -exitdata ca8004 -vm /usr/bin/java -vmargs -Xms15m
    -Xmx192m -Dosgi.requiredJavaVersion=1.5 -jar
    /opt/rssowl/plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar

    sun.java.launcher=SUN_STANDARD

    sun.jnu.encoding=UTF-8

    sun.management.compiler=HotSpot 64-Bit Tiered Compilers

    sun.net.client.defaultConnectTimeout=60000

    sun.net.client.defaultReadTimeout=60000

    sun.os.patch.level=unknown

    user.country=DE

    user.dir=/opt/rssowl

    user.home=/home/### my user name ###

    user.language=de

    user.name=### my user name ###

    user.timezone=Europe/Berlin

    *** Features:
    org.eclipse.rcp (3.4.200.R342_v20090122-989JESTEbig-SVaL8UJHcYBr4A63) "Eclipse
    RCP"

    org.rssowl (2.1.0.201106131914) "User Interface"

    *** Plug-in Registry:
    com.ibm.icu.base (3.8.1.v20080530) "International Components for Unicode for
    Java (ICU4J) Replacement plug-in"

    org.eclipse.core.commands (3.4.0.I20080509-2000) "Commands"

    org.eclipse.core.contenttype (3.3.0.v20080604-1400) "Eclipse Content
    Mechanism"

    org.eclipse.core.databinding (1.1.1.M20080827-0800b) "JFace Data Binding"

    org.eclipse.core.databinding.beans (1.1.1.M20080827-0800a) "JFace Data Binding
    for JavaBeans"

    org.eclipse.core.expressions (3.4.1.r342_v20081203-0800) "Expression Language"

    org.eclipse.core.jobs (3.4.1.R34x_v20081128) "Eclipse Jobs Mechanism"

    org.eclipse.core.net (1.1.0.I20080604) "Internet Connection Management"

    org.eclipse.core.runtime (3.4.0.v20080512) "Core Runtime"

    org.eclipse.core.runtime.compatibility.auth (3.2.100.v20070502) "Authorization
    Compatibility Plug-in"

    org.eclipse.equinox.app (1.1.0.v20080421-2006) "Equinox Application Container"

    org.eclipse.equinox.common (3.4.0.v20080421-2006) "Common Eclipse Runtime"

    org.eclipse.equinox.launcher (1.2.0.v20110502) "Equinox Launcher"

    org.eclipse.equinox.launcher.gtk.linux.x86_64 (1.1.100.v20110505) "Equinox
    Launcher Linux X86_64 Fragment"

    org.eclipse.equinox.preferences (3.2.201.R34x_v20080709) "Eclipse Preferences
    Mechanism"

    org.eclipse.equinox.registry (3.4.0.v20080516-0950) "Extension Registry
    Support"

    org.eclipse.equinox.security (1.0.1.R34x_v20080721) "Equinox Java
    Authentication and Authorization Service (JAAS)"

    org.eclipse.equinox.simpleconfigurator (1.0.0.v20080604) "Simple Configurator"

    org.eclipse.help (3.3.102.v20081014_34x) "Help System Core"

    org.eclipse.jface (3.4.2.M20090107-0800) "JFace"

    org.eclipse.jface.databinding (1.2.1.M20080827-0800a) "JFace Data Binding for
    SWT and JFace"

    org.eclipse.osgi (3.4.3.R34x_v20081215-1030) "OSGi System Bundle"

    org.eclipse.rcp (3.4.1.R342_v20090205) "Eclipse RCP"

    org.eclipse.swt (3.7.0.v3735b) "Standard Widget Toolkit"

    org.eclipse.swt.gtk.linux.x86_64 (3.7.0.v3735b) "Standard Widget Toolkit for
    GTK 2.0"

    org.eclipse.ui (3.4.2.M20090204-0800) "Eclipse UI"

    org.eclipse.ui.forms (3.3.103.v20081027_34x) "Eclipse Forms"

    org.eclipse.ui.net (1.0.0.I20080605) "Internet Connection Management UI"

    org.eclipse.ui.workbench (3.4.2.M20090127-1700) "Workbench"

    org.eclipse.update.configurator (3.2.201.R34x_v20080819) "Install/Update
    Configurator"

    org.eclipse.update.core (3.2.202.R34x_v20081128) "Install/Update Core"

    org.eclipse.update.core.linux (3.2.1.R34x_v20081024) "Install/Update Core for
    Linux"

    org.eclipse.update.ui (3.2.101.R34x_v20081128) "Install/Update UI"

    org.rssowl.core (2.1.0.201106131914) "Core"

    org.rssowl.lib.db4o (2.1.0.201106131914) "db4objects"

    org.rssowl.lib.httpclient (2.1.0.201106131914) "Apache HTTPClient"

    org.rssowl.lib.jdom (2.1.0.201106131914) "JDom"

    org.rssowl.lib.lucene (2.1.0.201106131914) "Apache Lucene"

    org.rssowl.ui (2.1.0.201106131914) "User Interface"

    *** User Preferences:

    RSSOwl didn't write anything to its log file.

     
  • Ok. When you add the vmargument to the rssowl.ini
    (-Dorg.eclipse.swt.browser.XULRunnerPath=./xulrunner) does that make it work?

     
  • genodeftest
    genodeftest
    2011-06-14

    No, doesn't change anything.

    But adding

    -Dorg.eclipse.swt.browser.XULRunnerPath=/usr/lib/xulrunner-1.9.2.17

    to RSSOwl.ini fixes my problem.

    both folders, /opt/rssowl/xulrunner and /usr/lib/xulrunner-1.9.2.17 have
    slightly different content.

    The version in /usr/lib/xulrunner-1.9.2.17 is from Ubuntu 11.04 64Bit default
    packages, repository natty/universe, full package name:
    xulrunner-1.9.2_1.9.2.17+build3+nobinonly-0ubuntu1_amd64.deb

    available at http://de.archive.ubuntu.com/ubuntu/pool/universe/x/xulrunner-1.
    9.2/xulrunner-1.9.2_1.9.2.17+build3+nobinonly-0ubuntu1_amd64.deb

    Package info from Ubuntu repositories:

    Package: xulrunner-1.9.2

    Priority: optional

    Section: universe/devel

    Installed-Size: 31060

    Maintainer: Ubuntu Mozilla Team ubuntu-mozillateam@lists.ubuntu.com

    Architecture: amd64

    Version: 1.9.2.17+build3+nobinonly-0ubuntu1

    Depends: libasound2 (>> 1.0.24.1), libatk1.0-0 (>= 1.12.4), libc6 (>= 2.11),
    libcairo2 (>= 1.6.0), libdbus-1-3 (>= 1.0.2), libdbus-glib-1-2 (>= 0.78),
    libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1),
    libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.24.0), libgtk2.0-0 (>=
    2.18.0), libhunspell-1.2-0 (>= 1.2.11), libidl0, libnspr4 (>=
    4.7.3-0ubuntu1~), libnss3 (>= 3.12.6), libpango1.0-0 (>= 1.14.0),
    libpixman-1-0 (>= 0.11.2), libsqlite3-0 (>= 3.7.3), libstartup-notification0
    (>= 0.10), libstdc++6 (>= 4.5), libx11-6, libxext6, libxrender1, libxt6,
    zlib1g (>= 1:1.1.4)

    Conflicts: j2re1.4

    Filename: pool/universe/x/xulrunner-1.9.2/xulrunner-1.9.2_1.9.2.17+build3
    +nobinonly-0ubuntu1_amd64.deb

    Size: 10541364

    MD5sum: c7925418b2af7b33ba26bcb65f18b2c1

    SHA1: d9052c0c630832aa68c43b003c5446c78ca923ca

    SHA256: 30a8f204b9904643cacce47175fb1072c9bcfb906211c786a236f146ed7e9a3a

    Description: XUL + XPCOM application runner

    XULRunner is a single "gecko runtime" that can be used to bootstrap

    multiple XUL + XPCOM applications that are as rich as Firefox and

    Thunderbird.

    .

    XUL is Mozilla's XML based User Interface language that lets you build

    feature-rich cross platform applications. These applications are easily

    customized with alternative text, graphics and layout so that they can be

    readily branded or localized for various markets. Web developers already

    familiar with Dynamic HTML (DHTML) will learn XUL quickly and can start

    building applications right away.

    .

    XPCOM is a cross platform component model. It has multiple language

    bindings and IDL descriptions so programmers can plug their custom

    functionality into the framework and connect it with other components.

    Homepage: http://developer.mozilla.org/en/docs/XULRunner

    Bugs: https://bugs.launchpad.net/ubuntu/+filebug

    Origin: Ubuntu

     
  • genodeftest
    genodeftest
    2011-06-14

    forget to mention in my last post: I reset config.ini to default state (from
    downloaded package).

    With both, rssowl.ini and config.ini changed, RSSOwl can start and shows
    XULRunner in Help | About | Configuration Details:
    http://pastebin.com/E9SvCaRx

     
  • Ok here is my theory. I am bundling the XULRunner runtime for Linux and I only
    found one package at Mozilla for both 32 and 64 bits. Looking at the runtime
    Ubuntu ships it seems that for 64 Bits you need a special build of XULRunner.
    Did you ever find out if Mozilla is providing a 32 bit and a 64 bit version of
    XULRunner?

     
  • genodeftest
    genodeftest
    2011-06-15

    Usually Mozilla doesn't provide anything for 64Bit. Neither Firefox nor
    Thunderbird, Lightning, XULRunner, ...

    Your latest upload is running out of the box. Internal XULRunner Path is
    available in "Help | About | Configuration Details".

    To make sure it does not use system XULRunner, I uninstalled XULRunner and
    RSSOwl is running fine. Thanks!

    Hopefully this is running with Debian/SuSe and other Linux Distros, too...

     
  • genodeftest
    genodeftest
    2011-06-15

    Concerning Mozilla: At least they did before Firefox 4. There were no official
    Builds of Firefox 3.x for 64Bit, no official Builds of Thunderbird for 64Bit
    and the same with Lightning.

    They may have realized that many PCs are running 64Bit so they may have chaged
    for FF4.

     
  • Yes I noticed 64 Bit versions for XULRUnner 2 as well, its too bad they dont
    have them for 1.9.x. Lets see how it goes with the new beta, I hope there are
    no differences in each of the distros.

     
  • Lane Lester
    Lane Lester
    2011-06-15

    Ok lets try this, I uploaded a new version of 64 Bits including the 64 Bit
    runtime from the link you provided. Can you check if http://www.rssowl.org/dl
    /Integration_Build/rssowl-2.1.beta.linux.x86_64.zip
    works for you now out of
    the box?

    You weren't addressing me, but I can report that it works. I'm running 64-bit
    Debian, and I renamed my current RSSOwl install as well as the installed
    xulrunner. So the built-in xulrunner is evidently doing the job.

    Lane

     
  • looonger
    looonger
    2011-07-21

    Still doesn't work here on Arch Linux (x86_64) giving the same message that
    rssowl couldn't create a browser. It works on Gentoo though. On both systems
    xulrunner isn't installed so rssowl should use the internal xulrunner in both
    cases.

     
1 2 3 4 > >> (Page 1 of 4)